Subject: Re: WGLC: Name Server Identifier Option

From: Paul Vixie <[email-masked]>
Date: 10 Oct 2005 23:35:39 +0000

> > > if putting in the requested information would exceed either 512
> > > octets or the maximum available payload size as "negotiated" between
> > > the requestor and itself?
> > 
> > Set the truncate bit?
> 
> so, if options take precedence over responses/referrals that should be
> said somewhere, especially if we're discussing "long" NSID
> identifications.

this highlights a general failing of RFC 2671, and is not specific to NSID.

i believe that the right behaviour is that if a requestor is considering
adding an OPT RR that won't fit in the previously negotiated buffer size for
the destination server, that a smaller OPT RR, or no OPT RR, be used; if
a responder is considering adding an OPT RR that won't fit in the advertised
buffer size of the requestor, that it should respond with RCODE=17, which
the IANA should allocate to mean "optional truncation".
-- 
Paul Vixie

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/namedroppers/>